package com.fp.armas.portal.model;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;
import javax.persistence.Column;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.ManyToOne;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;


/**
 * The persistent class for the TGENEFILESDETAIL database table.
 * 
 */
@Entity
public class Tgenefilesdetail implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private TgenefilesdetailPK id;

	@Temporal(TemporalType.DATE)
	private Date capturedate;

	private String contenttype;

	private Timestamp datefrom;

	private String description;

	private String extension;

	//@Lob
        //@Column(columnDefinition = "clob")
	//@Type(type="org.hibernate.type.BinaryType")
        private byte[] image;

	private Long imagesize;

	private String ingressuser;

	private String modifyuser;

	private String name;
	
	private Integer origincode;

	//bi-directional many-to-one association to Tgenefile
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="CODE", insertable=false, updatable=false)
	private Tgenefile tgenefile1;

	//bi-directional many-to-one association to Tgenefile
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="ORIGINCODE", insertable=false, updatable=false)
	private Tgenefile tgenefile2;

	public Tgenefilesdetail() {
	}

	public TgenefilesdetailPK getId() {
		return this.id;
	}

	public void setId(TgenefilesdetailPK id) {
		this.id = id;
	}

	public Date getCapturedate() {
		return this.capturedate;
	}

	public void setCapturedate(Date capturedate) {
		this.capturedate = capturedate;
	}

	public String getContenttype() {
		return this.contenttype;
	}

	public void setContenttype(String contenttype) {
		this.contenttype = contenttype;
	}

	public Timestamp getDatefrom() {
		return this.datefrom;
	}

	public void setDatefrom(Timestamp datefrom) {
		this.datefrom = datefrom;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getExtension() {
		return this.extension;
	}

	public void setExtension(String extension) {
		this.extension = extension;
	}

	public byte[] getImage() {
		return this.image;
	}

	public void setImage(byte[] image) {
		this.image = image;
	}

	public Long getImagesize() {
		return this.imagesize;
	}

	public void setImagesize(Long imagesize) {
		this.imagesize = imagesize;
	}

	public String getIngressuser() {
		return this.ingressuser;
	}

	public void setIngressuser(String ingressuser) {
		this.ingressuser = ingressuser;
	}

	public String getModifyuser() {
		return this.modifyuser;
	}

	public void setModifyuser(String modifyuser) {
		this.modifyuser = modifyuser;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Tgenefile getTgenefile1() {
		return this.tgenefile1;
	}

	public void setTgenefile1(Tgenefile tgenefile1) {
		this.tgenefile1 = tgenefile1;
	}

	public Tgenefile getTgenefile2() {
		return this.tgenefile2;
	}

	public void setTgenefile2(Tgenefile tgenefile2) {
		this.tgenefile2 = tgenefile2;
	}

	public Integer getOrigincode() {
		return origincode;
	}

	public void setOrigincode(Integer origincode) {
		this.origincode = origincode;
	}

}